Page MenuHomePhabricator

missing some pagegenerators in core branch
Closed, ResolvedPublic

Description

Originally from: http://sourceforge.net/p/pywikipediabot/feature-requests/339/
Reported by: cdpark
Created on: 2013-05-29 03:19:17
Subject: missing pagegenerators in rewite branch
Original description:
Some pagegenerator functions are missing in rewrite branch.

EdittimeFilterPageGenerator\(\)
ImageGenerator\(\)
LogpagesPageGenerator\(\)
PageTitleFilterPageGenerator\(\)
RandomPageGenerator\(\)
RandomRedirectPageGenerator\(\)
UnCategorizedTemplatesGenerator\(\)


Version: core-(2.0)
Severity: enhancement
See Also:
https://sourceforge.net/p/pywikipediabot/feature-requests/339

Details

Reference
bz55007

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:14 AM
bzimport set Reference to bz55007.
Legoktm created this task.Oct 5 2013, 4:03 AM

RandomPageGenerator and RandomRedirectPageGenerator have been implemented. Will work on the others shortly.

Change 126934 had a related patch set uploaded by Ricordisamoa:
add ImageGenerator and UnCategorizedTemplateGenerator

https://gerrit.wikimedia.org/r/126934

Change 126934 merged by jenkins-bot:
add ImageGenerator and UnCategorizedTemplateGenerator

https://gerrit.wikimedia.org/r/126934

just 3 remaining:

EdittimeFilterPageGenerator
LogpagesPageGenerator
PageTitleFilterPageGenerator

Will file a patch soon (hopefully)

Change 135407 had a related patch set uploaded by Ricordisamoa:
port PageTitleFilterPageGenerator from compat

https://gerrit.wikimedia.org/r/135407

Change 135407 merged by jenkins-bot:
port PageTitleFilterPageGenerator from compat

https://gerrit.wikimedia.org/r/135407

Two more to go.

Change 172493 had a related patch set uploaded by John Vandenberg:
Filters needed for newitem.py

https://gerrit.wikimedia.org/r/172493

Change 172493 merged by jenkins-bot:
Filters needed for newitem.py

https://gerrit.wikimedia.org/r/172493

LogpagesPageGenerator still to do.

And as UnCategorizedTemplatesGenerator was renamed to UnCategorizedTemplateGenerator for consistency reasons, an alias for the old name needs to be added.

An alias should also be added for RecentchangesPageGenerator -> RecentChangesPageGenerator.

jayvdb moved this task from Backlog to Needs Review on the Pywikibot board.Nov 29 2014, 7:49 AM
Ricordisamoa removed Ricordisamoa as the assignee of this task.Dec 15 2014, 7:57 AM

Un-self-assigning since https://gerrit.wikimedia.org/r/135407 has been merged.

Change 181792 had a related patch set uploaded (by John Vandenberg):
Support compat names in pagegenerators and site

https://gerrit.wikimedia.org/r/181792

Patch-For-Review

jayvdb closed this task as Resolved.Jun 25 2015, 9:59 PM
jayvdb claimed this task.

aliases merged